%Test function for stats_from_samples.m
function stats_from_samples_test

%Generate samples from skew-normal distribution
x_mean = 50; 
x_std = 20; 
x_skew = 0.6; 
num_samples = 1000;
[ x_s, pdf, cdf ] = skewed_normal( x_mean, x_std, x_skew, num_samples, [] );

%Define range of x data to plot
xmin = 0; 
xmax = 100; 

%Define histogram bins
min_bin_edge = 0; 
max_bin_edge = 100; 
num_bins = 30; 

%Perform statistical analysis using stats_from_samples.m (called within
%plot_histogram_and_cum_freq.m) and plot graphs
pdf_max = []; 
histogram_edges = []; 
f = [];
num_points = 500;
fontsize = 14; 
plot_hist = 1; 
plot_norm = 1; 
plot_cumf = 1;
fig_hist=[]; 
ax_hist=[]; 
fig_norm=[]; 
ax_norm=[]; 
fig_cumf=[];
ax_cumf=[]; 
full_title = 1;
[ fig_hist, ax_hist, fig_norm, ax_norm, fig_cumf, ax_cumf, histogram_edges,f  ] = ...
   plot_histogram_and_cum_freq( x_s, xmin, xmax, pdf_max, histogram_edges,f,...
   min_bin_edge, max_bin_edge, num_bins, num_points, fontsize, plot_hist, plot_norm,...
   plot_cumf, fig_hist, ax_hist, fig_norm, ax_norm, fig_cumf, ax_cumf,...
   full_title );

%End of code